# TourneyRepository.TourneyRecord (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.tourney.server.persist
Class TourneyRepository.TourneyRecord

    java.lang.Object
      com.threerings.parlor.tourney.server.persist.TourneyRepository.TourneyRecord

Enclosing class:
  TourneyRepository

    public static class TourneyRepository.TourneyRecord

extends Object

Contains tourney information loaded from the database.

Field Summary
`byte[]` `config` The tourney configuration.
`int` `tourneyId` The tourney's unique identifier.

Constructor Summary
`TourneyRepository.TourneyRecord()`
`TourneyRepository.TourneyRecord(int tourneyId)`
`TourneyRepository.TourneyRecord(TourneyConfig tourneyConfig)`

Method Summary
`TourneyConfig` `getTourneyConfig()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tourneyId

    public int tourneyId

  The tourney's unique identifier.

### config

    public byte[] config

  The tourney configuration.

Constructor Detail

### TourneyRepository.TourneyRecord

    public TourneyRepository.TourneyRecord()

### TourneyRepository.TourneyRecord

    public TourneyRepository.TourneyRecord(int tourneyId)

### TourneyRepository.TourneyRecord

    public TourneyRepository.TourneyRecord(TourneyConfig tourneyConfig)

Method Detail

### getTourneyConfig

    public TourneyConfig getTourneyConfig()

Copyright © 2011. All Rights Reserved.